<?php
class ModelCatalogPrevNextProduct extends Model {
	public function getProduct($product_id) {
		if ($this->customer->isLogged()) {
			$customer_group_id = $this->customer->getCustomerGroupId();
		} else {
			$customer_group_id = $this->config->get('config_customer_group_id');
		}	
				
		$query = $this->db->query("SELECT DISTINCT *, pd.name AS name, p.image, m.name AS manufacturer, (SELECT price FROM " . DB_PREFIX . "product_discount pd2 WHERE pd2.product_id = p.product_id AND pd2.customer_group_id = '" . (int)$customer_group_id . "' AND pd2.quantity = '1' AND ((pd2.date_start = '0000-00-00' OR pd2.date_start < NOW()) AND (pd2.date_end = '0000-00-00' OR pd2.date_end > NOW())) ORDER BY pd2.priority ASC, pd2.price ASC LIMIT 1) AS discount, (SELECT price FROM " . DB_PREFIX . "product_special ps WHERE ps.product_id = p.product_id AND ps.customer_group_id = '" . (int)$customer_group_id . "' AND ((ps.date_start = '0000-00-00' OR ps.date_start < NOW()) AND (ps.date_end = '0000-00-00' OR ps.date_end > NOW())) ORDER BY ps.priority ASC, ps.price ASC LIMIT 1) AS special, (SELECT points FROM " . DB_PREFIX . "product_reward pr WHERE pr.product_id = p.product_id AND customer_group_id = '" . (int)$customer_group_id . "') AS reward, (SELECT ss.name FROM " . DB_PREFIX . "stock_status ss WHERE ss.stock_status_id = p.stock_status_id AND ss.language_id = '" . (int)$this->config->get('config_language_id') . "') AS stock_status, (SELECT wcd.unit FROM " . DB_PREFIX . "weight_class_description wcd WHERE p.weight_class_id = wcd.weight_class_id AND wcd.language_id = '" . (int)$this->config->get('config_language_id') . "') AS weight_class, (SELECT lcd.unit FROM " . DB_PREFIX . "length_class_description lcd WHERE p.length_class_id = lcd.length_class_id AND lcd.language_id = '" . (int)$this->config->get('config_language_id') . "') AS length_class, (SELECT AVG(rating) AS total FROM " . DB_PREFIX . "review r1 WHERE r1.product_id = p.product_id AND r1.status = '1' GROUP BY r1.product_id) AS rating, (SELECT COUNT(*) AS total FROM " . DB_PREFIX . "review r2 WHERE r2.product_id = p.product_id AND r2.status = '1' GROUP BY r2.product_id) AS reviews, p.sort_order FROM " . DB_PREFIX . "product p LEFT JOIN " . DB_PREFIX . "product_description pd ON (p.product_id = pd.product_id) LEFT JOIN " . DB_PREFIX . "product_to_store p2s ON (p.product_id = p2s.product_id) LEFT JOIN " . DB_PREFIX . "manufacturer m ON (p.manufacturer_id = m.manufacturer_id) WHERE p.product_id = '" . (int)$product_id . "' AND pd.language_id = '" . (int)$this->config->get('config_language_id') . "' AND p.status = '1' AND p.date_available <= NOW() AND p2s.store_id = '" . (int)$this->config->get('config_store_id') . "'");
		
		if ($query->num_rows) {
			$query->row['price'] = ($query->row['discount'] ? $query->row['discount'] : $query->row['price']);
			$query->row['rating'] = (int)$query->row['rating'];
			
			return $query->row;
		} else {
			return false;
		}
	}
	public function getPath($productid) {
			$sql = "SELECT p2c.category_id as category_id FROM " . DB_PREFIX . "product_to_category p2c LEFT JOIN " . DB_PREFIX . "product_to_store p2s ON (p2s.product_id = ".(int)$productid.")"; 
			$sql .= " WHERE p2s.store_id = '" . (int)$this->config->get('config_store_id') . "'"; 
			$sql .= " AND p2c.product_id = '" . (int)$productid . "'";
			$sql .= " GROUP BY p2c.category_id";
			$sql .= " LIMIT 1";
			$query = $this->db->query($sql);
			return $query->row['category_id'];
		
	}
	public function getPrevNextProduct($productid, $catId) {
		if ($this->customer->isLogged()) {
			$customer_group_id = $this->customer->getCustomerGroupId();
		} else {
			$customer_group_id = $this->config->get('config_customer_group_id');
		}	
			
			$sql = "SELECT p2c.product_id FROM ". DB_PREFIX . "product_to_category p2c LEFT JOIN " . DB_PREFIX . "product_to_store p2s ON (p2s.product_id = p2c.product_id)";
			$sql .= " LEFT JOIN " . DB_PREFIX . "product p ON (p.product_id = p2c.product_id) ";
			$sql .= " WHERE p.status = '1' AND p.date_available <= NOW() AND p2s.store_id = '" . (int)$this->config->get('config_store_id') . "'"; 
			$sql .= " AND p2c.category_id = '" . (int)$catId . "'";
//			$sql .= " AND NOT ( p2c.product_id = '" . (int)$productid . "')";
//			$sql .= " GROUP BY p2c.product_id";
			$sql .= " ORDER BY p2c.product_id ASC";
			
			
			$product_data = array();
					
			$query = $this->db->query($sql);
			$first = 0;
			$prev = 1;
			$next = 2;
			$last = 3;
			$firstFilled = false;
			$nextFilled = false;
			
			if ($query->num_rows){
				
				foreach ($query->rows as $result) {
					if ( !$firstFilled ) {
						$product_data[$first]['button'] = '|&lt;';
						$product_data[$first]['text'] = $this->language->get('text_eerste');
						$product_data[$first]['product_id'] = $result['product_id']; //$this->getProduct($result['product_id']);
						$product_data[$first]['href']= $this->url->link('product/product','product_id=' . $result['product_id']);
						$firstFilled = true;
					}
						$product_data[$last]['button'] = '&gt;|';
						$product_data[$last]['text'] = $this->language->get('text_laatste');;
						$product_data[$last]['product_id'] = $result['product_id']; //$this->getProduct($result['product_id']);
						$product_data[$last]['href']= $this->url->link('product/product','product_id=' . $result['product_id']);
						$firstFilled = true;
					if ( $result['product_id'] != $productid && $result['product_id'] < $productid ){
						$product_data[$prev]['button'] = '&lt;';
						$product_data[$prev]['text'] = $this->language->get('text_vorige');;
						$product_data[$prev]['product_id'] = $result['product_id']; //$this->getProduct($result['product_id']);
						$product_data[$prev]['href']= $this->url->link('product/product','product_id=' . $result['product_id']);
					}
					if ( $result['product_id'] != $productid && $result['product_id'] > $productid && !$nextFilled){
						$product_data[$next]['button'] = '&gt;';
						$product_data[$next]['text'] = $this->language->get('text_volgende');;
						$product_data[$next]['product_id'] = $result['product_id']; //$this->getProduct($result['product_id']);
						$product_data[$next]['href']= $this->url->link('product/product','product_id=' . $result['product_id']);
						$nextFilled = true;
					}
				}
			}


		
		return $product_data;
	}
	

}
?>